/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.svnconf.message;

/**
 * blancoSvnConfが内部的に利用するメッセージクラスです。
 */
public class BlancoSvnConfMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoSvnConfMessageResourceBundle fBundle = new BlancoSvnConfMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC01]の文字列を取得します。
     *
     * No.2:
     * 文字列[リポジトリ定義ID[{0}]のホスト名が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC01] " + fBundle.getMbsvnc01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC02]の文字列を取得します。
     *
     * No.3:
     * 文字列[リポジトリ定義ID[{0}]の基準ディレクトリが指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC02] " + fBundle.getMbsvnc02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC03]の文字列を取得します。
     *
     * No.4:
     * 文字列[リポジトリ定義ID[{0}]において、利用者ID[{1}]が2回以上あらわれました。同じ利用者は2回以上指定することはできません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc03(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc03]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC03] " + fBundle.getMbsvnc03(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC04]の文字列を取得します。
     *
     * No.5:
     * 文字列[リポジトリ定義ID[{0}]において、利用者ID[{1}]の権限が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc04(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc04]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC04] " + fBundle.getMbsvnc04(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC05]の文字列を取得します。
     *
     * No.6:
     * 文字列[リポジトリ定義ID[{0}]において、利用者ID[{1}]の名称が不正です。利用者IDには *は含めないで下さい。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc05(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc05]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc05]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC05] " + fBundle.getMbsvnc05(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC06]の文字列を取得します。
     *
     * No.7:
     * 文字列[リポジトリ定義ID[{0}]において、基準ディレクトリ[{1}]の名称が不正です。基準ディレクトリは / や \ で終わらないようにしてください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc06(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc06]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc06]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC06] " + fBundle.getMbsvnc06(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC07]の文字列を取得します。
     *
     * No.8:
     * 文字列[リポジトリ定義をまたがって、複数のホスト名が登録されています。具体的には、リポジトリ定義ID[{0}]の[{1}]と リポジトリ定義ID[{2}]の[{3}]において、ホスト名部分が異なっています。このような定義書を一度に処理することはできません。一度の処理においては、定義書間でホスト名が単一の状態になるようにして処理を実行するようにしてください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc07(final String arg0, final String arg1, final String arg2, final String arg3) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc07]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc07]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc07]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg3 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc07]のパラメータ[arg3]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC07] " + fBundle.getMbsvnc07(arg0, arg1, arg2, arg3);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNC08]の文字列を取得します。
     *
     * No.9:
     * 文字列[リポジトリ定義ID[{0}]において、管理者IDが指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnc08(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnc08]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNC08] " + fBundle.getMbsvnc08(arg0);
    }

    /**
     * メッセージ定義ID[BlancoSvnConf]、キー[MBSVNCA1]の文字列を取得します。
     *
     * No.12:
     * 文字列[メタディレクトリ[{0}]が存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsvnca1(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsvnca1]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSVNCA1] " + fBundle.getMbsvnca1(arg0);
    }
}
